<!DOCTYPE html>
<html lang="en-US">
<head>
<!--
	     .     . .              .       .  .
	. . ...-..-| |-. .-. .-.-..-| .-.. ...-|
	 ` ` '' '`-'-' '-`-`-' ' '`-'-`-`-` '`-'-
-->
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="description" content="<?php dw_meta_desc();?>"/>
<?php wp_head(); ?>
</head>
<body <?php page_bodyclass(); ?>>
<header id="header">
	<div class="navbar fixed-top">
		<div class="container">
			<div class="site-title">
        <a href="#offcanvasNav" class="navbar-brand navbar-right light"  data-bs-toggle="offcanvas" data-bs-target="#offcanvasNav" aria-controls="offcanvasNav" title="David A. Windham" rel="home">David A. Windham</a>
			</div>
		</div>
	</div>
</header>
<div class="offcanvas offcanvas-end text-bg-blue" tabindex="-1" id="offcanvasNav" aria-labelledby="offcanvasNavLabel">
  <nav class="navmenu navmenu-default" role="navigation">
    <ul class="nav nav-stacked list-group">
      <li><a href="<?php echo home_url( '/' ); ?>" class="list-group-item"><span class="fa fa-home fa-fw"></span> Home</a></li>
      <li><a href="<?php echo home_url( '/' ); ?>about" class="list-group-item"><span class="fa fa-file-text-o fa-fw"></span> About</a></li>
      <li><a href="<?php echo home_url( '/' ); ?>desk" class="list-group-item"><span class="fa fa-pencil-square-o fa-fw"></span> Desk</a></li>
      <ul>
        <li><a href="<?php echo home_url( '/' ); ?>desk/archive" title="Archive" class="list-group-item"><span class="fa fa-archive fa-fw"></span> Archive</a></li>
        <li><a href="<?php echo home_url( '/' ); ?>til/" title="Today I Learned" class="list-group-item"><span class="fa fa-book fa-fw"></span> TIL</a></li>
      </ul>
      <li><a href="<?php echo home_url( '/' ); ?>studio" class="list-group-item"><span class="fa fa-flask fa-fw"></span> Studio</a>
      <ul>
        <li><a href="https://code.davidawindham.com" class="list-group-item"><span class="fa fa-code fa-fw"></span> Code</a></li>
        <li><a href="<?php echo home_url( '/' ); ?>studio/music/" class="list-group-item"><span class="fa fa-microphone fa-fw"></span> Audio</a></li>
        <li><a href="<?php echo home_url( '/' ); ?>studio/art/" title="Art" class="list-group-item"><span class="fa fa-paint-brush fa-fw"></span> Art</a></li>
        <li><a href="https://photo.davidwindham.com" title="Photo" class="list-group-item"><span class="fa fa-camera-retro fa-fw"></span> Photo</a></li>
      </ul>
      </li>
      <li><a href="<?php echo home_url( '/' ); ?>contact" class="list-group-item"><span class="fa fa-envelope-o fa-fw"></span> Contact</a></li>
      <ul>
        <li><a href="<?php echo home_url( '/' ); ?>mail/" title="Newsletter" class="list-group-item"><span class="fa fa-paper-plane-o fa-fw"></span> Email</a></li>
        <li><a href="https://davidwindham.com/rtc/" class="list-group-item"><span class="fa fa-comment fa-fw"></span> Chat</a></li>
        <li><a href="<?php echo home_url( '/' ); ?>pay" class="list-group-item"><span class="fa fa-credit-card fa-fw"></span> Pay</a></li>
        <li><a href="<?php echo home_url( '/' ); ?>contact/guests" title="Guestbook" class="list-group-item"><span class="fa fa-pencil-square fa-fw"></span> Guests</a></li>
      </ul>
      <li><a href="http://chess.davidwindham.com" class="list-group-item"><span class="chess-html">&#9814;</span> Chess</a></li>
      <li><a href="<?php echo home_url( '/' ); ?>about/analytics/" title="analytics" class="list-group-item"><span class="fa fa-tachometer fa-fw"></span> Stats</a></li>
      <li><a href="<?php echo home_url( '/' ); ?>sitemap" class="list-group-item"><span class="fa fa-sitemap fa-fw"></span> Sitemap</a></li>
    </ul>
  </nav>
</div>
