<?php
/*
Template Name: Posts
*/

get_header(); ?>

	<div class="container">
		<article id="content" class="single" role="main">
			<div class="entry-content">
				<header class="page-header">
					<h1 class="cm-sans">Archive</h1>
					<p>This is a list of every posts, til (today I learned), and bookmark I've published on this website. There a many other pages published on subdomains and elsewhere on this website. For a list of everything published on the website, please see the <a href="<?php echo site_url(); ?>/sitemap">sitemap</a>.</p>
				</header>
				<div class="row">
					<div class="col-md-6">
						<h5>Posts</h5>
						<ul>
							<?php $recentposts = get_posts(array( 'numberposts' => -1, 'offset' => 0 ) ); foreach ($recentposts as $post) : setup_postdata($post); ?>
							       <li style="color:#777"><?php echo get_the_date('m/d/y'); ?> - <a href="<?php the_permalink() ?>"><?php the_title(); ?></a></li>
							<?php endforeach; ?>
						</ul>
					</div>
					<div class="col-md-6">

						<h5>Today I Learned</h5>
						<ul>
							<?php pull_til_all(); ?>
						</ul>


						<h5>Bookmarks</h5>
						<ul class="bookmarks">
							<?php bookmarks_all(); ?>
						</ul>

					</div>
				</div>

			</div>
		</article>
	</div>

<?php get_footer('home'); ?>
