### README


**Not** just another theme for [davidawindham.com](https://davidawindham.com)  
> I suppose it is tempting, if the only tool you have is a hammer, to treat everything as if it were a nail.  &nbsp; [Abraham Maslow](http://en.wikipedia.org/wiki/Law_of_the_instrument)

---
### Log

#### 2022.12.17 - v.4.0

- git master -> main
- rm old grunt files
- rewrite gulpfile to auto-build
  - replace uglify with terser
- update packages
  - remove jasny boot for 5.0 offcanvas
- consolidate and remove old scripts ( 
  - try to drop JQuery deps 
    - remove modernizr.js
  - mv inline js to npm bundles to keep them updated
  - **js/scripts.js** TODO - ( WOW, validation, lazyload, wallpaper, backstretch, Rainbow, Appear, DrawFillSVG, typed.js, scrollto, smoothState, js-cookie, waypoints, ghembedder )
- Rework some of the pages and features
  - rewrite the studio page
  - rewrite the chat/messenger/twillio features in inc/lib/call


#### 2020.04.04 - Updates - v.3.0

Bring this site up to speed

* jquery 3.1.0 -> 3.4.1   
* bootstrap 3.4.5 -> 4.4.1   
* jasny bootstrap 3.1.3 -> 4.0.0   
* svg-morpheus 0.1.8 -> 0.3.0   
* animate.css 3.0.0 -> 3.7.0   
* chart.js 1.0.1 -> 2.9.3

* changed theme name from dw -> daw becuase of [davidwindham.com](https://davidwindham.com)   
* changed the screenshot
* grunt -> gulp  
* move the dependecies to npm pkgs 

#### 2014.05.15 - v.2.0

sprucing up a bit for my website's 10 year anniversary (2004). 

---

### Notes:

update libraries:

added libraries:
* [https://github.com/jquery-backstretch/jquery-backstretch](https://github.com/jquery-backstretch/jquery-backstretch)
  * replaced Formstone/Wallpaper

other libraries in scripts.js:   
* [https://github.com/tuupola/jquery_lazyload](https://github.com/tuupola/jquery_lazyload)   
* [https://github.com/ccampbell/rainbow](https://github.com/ccampbell/rainbow)   
* [https://github.com/morr/jquery.appear](https://github.com/morr/jquery.appear)   
* [https://github.com/callmenick/Draw-Fill-SVG](https://github.com/callmenick/Draw-Fill-SVG)   
* [https://github.com/mattboldt/typed.js/](https://github.com/mattboldt/typed.js/)   
* [https://github.com/balupton/jquery-scrollto](https://github.com/balupton/jquery-scrollto)   
* [https://github.com/matthieua/WOW](https://github.com/matthieua/WOW)   
* [https://github.com/miguel-perez/jquery.smoothState.js](https://github.com/miguel-perez/jquery.smoothState.js)   
* [https://github.com/carhartl/jquery-cookie](https://github.com/carhartl/jquery-cookie)   
* [https://github.com/imakewebthings/jquery-waypoints](https://github.com/imakewebthings/jquery-waypoints)   
* [https://github.com/kirbysayshi/ghembedder](https://github.com/kirbysayshi/ghembedder)   
* [https://github.com/js-cookie/js-cookie](https://github.com/js-cookie/js-cookie)   


deprecated libaries:   
* [https://github.com/HubSpot/messenger](https://github.com/HubSpot/messenger)
* [https://github.com/alexk111/SVG-Morpheus](https://github.com/alexk111/SVG-Morpheus)
* [https://github.com/ixisio/bootstrap-touch-carousel](https://github.com/ixisio/bootstrap-touch-carousel)
* [https://github.com/Formstone/Wallpaper](https://github.com/Formstone/Wallpaper) 


ToDo:   
* audio page
* chart.js 1.0.1 -> 2.9.3
* scripts.js into pkgs and build
