<?php get_header(); ?>
	<div class="container">
		<article id="content" class="single" role="main">
			<div class="entry-content archive wow fadeIn">
				<?php if ( have_posts() ) : ?>
				<header class="page-header">
					<h1 class="super cm-sans">Topic: <?php single_cat_title(); ?></h1>
				</header>
				<?php while ( have_posts() ) : the_post();?>
          <div class="col-sm-6 offset-lg-1">
            <div class="entry-meta">
              <div class="date">
                <?php the_date(); ?>
              </div>
            </div>
            <h4><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'dw' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h4>
          </div>
				<?php endwhile; ?>
				<div class="clear">&nbsp;</div>
				<hr>
				<?php dw_paging_nav();
				else :
					printf( __( 'Nothing Found', 'dw' ));
					get_search_form();
				endif;
				?>
			</div>
		</article>
	</div>
<?php get_footer('home'); ?>
