<?php if ( comments_open() ): ?>
<div class="commentbubble"><a href="#" class="toggle-comments"><?php comments_number('0', '1', '%'); ?> Comments</a> <span class="fa fa-comment-o"></span></div>
<?php endif;?>
<div id="comments" class="comments-area">
	<?php if ( have_comments() ) : ?>
		<ul class="commentlist">
			<?php wp_list_comments( array( 
				'callback' => 'dw_comment',
				'style' => 'ul', 
				'avatar_size' => 50,
				'short_ping' => true
				) ); 
			?>
		</ul>
		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
		<nav id="comment-nav-below" class="navigation" role="navigation">
			<h1 class="assistive-text section-heading"><?php _e( 'Comment navigation', 'dw' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'dw' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'dw' ) ); ?></div>
		</nav>
		<?php endif;?>
		<?php
		if ( ! comments_open() && get_comments_number() ) : ?>
		<p class="nocomments"><?php _e( 'Comments are closed.' , 'dw' ); ?></p>
		<?php endif; ?>
	<?php endif;?>
	<?php comment_form(
		array(
			'comment_notes_after' => '',
			'comment_notes_before' => '',
			'title_reply' => __( '' ),
			'title_reply_to' => __( 'Leave a Reply to %s' ),
			'cancel_reply_link' => __( 'Cancel' ),
			'label_submit' => __( 'Comment' ),
			'url' => __( 'URL' ),
		)
	); ?>
</div>