<?php

function dw_wik_places() {

	$url = "https://davidawindham.com/wik/";
	$url .= "?module=API&method=UserCountry.getCity";
	$url .= "&idSite=1&period=month&date=yesterday";
	$url .= "&format=JSON&filter_limit=34";
	$url .= "&token_auth=3910b0da85f448ae35d4b75b4e6912bb";

	$fetched = file_get_contents($url);
	$content = json_decode($fetched,true);

	if (!$content) {
	    print("Error, content fetched = " . $fetched);
	}

	foreach ($content as $row) {
	  $location = htmlspecialchars(html_entity_decode(urldecode($row['label']), ENT_QUOTES), ENT_QUOTES);
	  $hits = $row['nb_visits'];
		$logo = $row['logo'];
		$length = $row['sum_visit_length'];
	  print("<li class='list-group-item'><img src='https://davidawindham.com/wik/$logo' style='width:20px;'/> &nbsp; $location  <span class='badge'> $hits </span></li>");
	}
}


function dw_wik_url() {

	$url = "https://davidawindham.com/wik/";
	$url .= "?module=API&method=Actions.getPageUrls";
	$url .= "&idSite=1&period=month&date=yesterday";
	$url .= "&format=JSON&filter_limit=43";
	$url .= "&token_auth=3910b0da85f448ae35d4b75b4e6912bb";

	$fetched = file_get_contents($url);
	$content = json_decode($fetched,true);

	if (!$content) {
	    print("Error, content fetched = " . $fetched);
	}

	foreach ($content as $row) {
	  $urls = htmlspecialchars(html_entity_decode(urldecode($row['label']), ENT_QUOTES), ENT_QUOTES);
		$label = $row['label'];
		$hits = $row['nb_hits'];
		$time = $row['avg_time_on_page'];
	    print("<li class='list-group-item'> <a href='https://davidawindham.com/$label'>$label</a> <span class='badge'> $hits </span></li>");
	}

}

function dw_wik_users() {

	$url = "https://davidawindham.com/wik/";
	$url .= "?module=API&method=DevicesDetection.getOsFamilies";
	$url .= "&idSite=1&period=month&date=yesterday";
	$url .= "&format=JSON&filter_limit=10";
	$url .= "&token_auth=3910b0da85f448ae35d4b75b4e6912bb";

	$fetched = file_get_contents($url);
	$content = json_decode($fetched,true);

	if (!$content) {
	    print("Error, content fetched = " . $fetched);
	}

	foreach ($content as $row) {
	  $urls = htmlspecialchars(html_entity_decode(urldecode($row['label']), ENT_QUOTES), ENT_QUOTES);
		$label = $row['label'];
		$hits = $row['nb_visits'];
	  print("<li class='list-group-item'> $label <span class='badge'> $hits </span></li>");
	}

}


function dw_wik_keys() {

	$url = "https://davidawindham.com/wik/";
	$url .= "?module=API&method=Referrers.getReferrerType";
	$url .= "&idSite=1&period=month&date=yesterday";
	$url .= "&format=JSON&filter_limit=20";
	$url .= "&token_auth=3910b0da85f448ae35d4b75b4e6912bb";

	$fetched = file_get_contents($url);
	$content = json_decode($fetched,true);

	if (!$content) {
	    print("Error, content fetched = " . $fetched);
	}

	foreach ($content as $row) {
	  $urls = htmlspecialchars(html_entity_decode(urldecode($row['label']), ENT_QUOTES), ENT_QUOTES);
		$label = $row['label'];
		$hits = $row['nb_visits'];
	  print("<li class='list-group-item'> $label <span class='badge'> $hits </span></li>");
	}

}

function dw_wik_refs() {

	$url = "https://davidawindham.com/wik/";
	$url .= "?module=API&method=Referrers.getAll";
	$url .= "&idSite=1&period=month&date=yesterday";
	$url .= "&format=JSON&filter_limit=20";
	$url .= "&token_auth=3910b0da85f448ae35d4b75b4e6912bb";

	$fetched = file_get_contents($url);
	$content = json_decode($fetched,true);

	if (!$content) {
	    print("Error, content fetched = " . $fetched);
	}

	foreach ($content as $row) {
	  $urls = htmlspecialchars(html_entity_decode(urldecode($row['label']), ENT_QUOTES), ENT_QUOTES);
		$label = $row['label'];
		$hits = $row['nb_visits'];
	  print("<li class='list-group-item'> $label <span class='badge'> $hits </span></li>");
	}

}

?>
